%global momorel 3

Summary:        Intrusion detection system
Name:           snort
Version:        2.8.6.1
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/Internet
Source0:        http://dl.snort.org/snort-current/%{name}-%{version}.tar.gz
Source1:        snortd
Source2:        README.fedora
Source3:        sysconfig.snort
Url:            http://www.snort.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       libpcap >= 0.4
Requires(pre):  shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
BuildRequires:  libpcap-devel >= 1.1.1
BuildRequires:  perl
BuildRequires:  pcre-devel
BuildRequires:  sed
BuildRequires:  libprelude-devel

%package        plain+flexresp
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libnet10
Requires(post): chkconfig
Requires(postun): chkconfig

%package        mysql
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  mysql-devel >= 5.1.32
Requires(post): chkconfig
Requires(postun): chkconfig

%package        mysql+flexresp
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libnet10
BuildRequires:  mysql-devel >= 5.1.32
Requires(post): chkconfig
Requires(postun): chkconfig

%package        postgresql
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  postgresql-devel
Requires(post): chkconfig
Requires(postun): chkconfig

%package        postgresql+flexresp
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libnet10
BuildRequires:  postgresql-devel
Requires(post): chkconfig
Requires(postun): chkconfig

%package        snmp
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
Requires(post): chkconfig
Requires(postun): chkconfig

%package        snmp+flexresp
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libnet10
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
Requires(post): chkconfig
Requires(postun): chkconfig

%package        bloat
Summary:        Snort with Flexible Response
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
BuildRequires:  libnet10
BuildRequires:  net-snmp-devel
BuildRequires:  postgresql-devel
BuildRequires:  mysql-devel >= 5.1.32
BuildRequires:  openssl-devel
Requires(post): chkconfig
Requires(postun): chkconfig


%description
Snort is a libpcap-based packet sniffer/logger which
can be used as a lightweight network intrusion detection system.
It features rules based logging and can perform protocol analysis,
content searching/matching and can be used to detect a variety of
attacks and probes, such as buffer overflows, stealth port scans,
CGI attacks, SMB probes, OS fingerprinting attempts, and much more.
Snort has a real-time alerting capabilty, with alerts being sent to syslog,
a separate "alert" file, or as a WinPopup message via Samba's smbclient

Edit %{_sysconfdir}/snort.conf to configure snort and use snort.d to start snort

This rpm is different from previous rpms and while it will not clobber
your current snortd file, you will need to modify it.

There are 9 different packages available

All of them require the base snort rpm.  Additionally, you will need
to chose a binary to install.

/usr/sbin/snort should end up being a symlink to a binary in one of
the following configurations:

plain      plain+flexresp
mysql      mysql+flexresp
postgresql postgresql+flexresp
snmp       snmp+flexresp
bloat      mysql+postgresql+flexresp+snmp

Please see the documentation in %{_docdir}/%{name}-%{version}

There are no rules in this package  the license  they are released under forbids
us from repackaging them  and redistributing them.


%description    plain+flexresp
Snort compiled with flexresp support.  Requires libnet rpm.

%description    mysql
Snort compiled with mysql support.

%description    mysql+flexresp
Snort compiled with mysql+flexresp support.  Requires libnet rpm.

%description    postgresql
Snort compiled with postgresql support.

%description    postgresql+flexresp
Snort compiled with postgresql+flexresp support.  Requires snort rpm.

%description    snmp
Snort compiled with snmp support.

Currently a bit buggy in packaging.  If anyone can figure out why
--enable-snmp pulls in everything else, let me know

%description    snmp+flexresp
Snort compiled with snmp+flexresp support.  Requires libnet rpm.

Currently a bit buggy in packaging.  If anyone can figure out why
--enable-snmp pulls in everything else, let me know

%description    bloat
Snort compiled with snmp+flexresp+mysql+postgresql support.
Requires libnet rpm.


%prep
%setup -q
cp %{SOURCE2} doc/
sed -i -e 's|libnet-config|libnet-config-1.0|g' configure
sed -i -e 's|\-lnet|\-lnet-1.0|g' configure

%build

SNORT_BASE_CONFIG="--with-libpcap-includes=/usr/include/pcap \
                   --enable-dynamicplugin --enable-prelude"
export LDFLAGS=-L/usr/lib64/mysql
# there are some strange configure errors
# when not doing a distclean between major builds.

# plain
{
%configure $SNORT_BASE_CONFIG --with-mysql=no \
                                   --with-postgresql=no \
                                   --with-oracle=no \
                                   --with-odbc=no 
make
mv src/snort snort-plain
mv src/dynamic-plugins/sf_engine/.libs/libsf_engine.so* .
mv src/dynamic-preprocessors/build/usr/lib/snort_dynamicpreprocessor .
make clean
}

# plain+flexresp
{
%configure $SNORT_BASE_CONFIG --with-mysql=no \
                                   --with-postgresql=no \
                                   --with-oracle=no \
                                   --with-odbc=no \
                                   --enable-flexresp
make
mv src/snort snort-plain+flexresp
make clean
}

# mysql+flexresp
{
%configure $SNORT_BASE_CONFIG --with-mysql=yes \
                                   --with-mysql-libraries=%{_libdir}/mysql \
                                   --with-postgresql=no \
                                   --with-oracle=no \
                                   --with-odbc=no \
                                   --enable-flexresp
make
mv src/snort snort-mysql+flexresp
make clean
}

# mysql
{
%configure $SNORT_BASE_CONFIG --with-mysql=yes \
                              --with-mysql-libraries=%{_libdir}/mysql \
                              --with-postgresql=no \
                              --with-oracle=no \
                              --with-odbc=no
make
mv src/snort snort-mysql
make clean
}



# postgresql+flexresp
{
%configure $SNORT_BASE_CONFIG --with-mysql=no \
                                   --with-postgresql=yes \
                                   --with-oracle=no \
                                   --with-odbc=no \
                                   --enable-flexresp
make
mv src/snort snort-postgresql+flexresp
make clean
}

# postgresql
{
%configure $SNORT_BASE_CONFIG --with-mysql=no \
                                   --with-postgresql=yes \
                                   --with-oracle=no \
                                   --with-odbc=no
make
mv src/snort snort-postgresql
make clean
}

# snmp
{
%configure $SNORT_BASE_CONFIG --with-mysql=no \
                                   --with-postgresql=no \
                                   --with-oracle=no \
                                   --with-odbc=no \
                                    --with-snmp=/usr \
                                   --with-openssl

make
mv src/snort snort-snmp
make clean
}


# snmp+flexresp
{
%configure $SNORT_BASE_CONFIG --with-mysql=no \
                                   --with-postgresql=no \
                                   --with-oracle=no \
                                   --with-odbc=no \
                                   --with-snmp \
                                   --enable-flexresp \
                                   --with-openssl
make
mv src/snort snort-snmp+flexresp
 make clean
}

# bloat
{
%configure $SNORT_BASE_CONFIG --with-mysql=yes \
                                   --with-mysql-libraries=%{_libdir}/mysql \
                                   --with-postgresql=yes \
                                   --with-oracle=no \
                                   --with-odbc=no \
                                   --with-snmp \
                                   --enable-flexresp \
                                   --with-openssl
make
mv src/snort snort-bloat
make clean
}

#remove  Makefile stuff from docs 
rm doc/Makefile*

%install
if [ -d %{buildroot} ]; then
        rm -rf %{buildroot}
fi

mkdir -p %{buildroot}%{_sysconfdir}/snort
mkdir -p %{buildroot}/var/log/snort
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_libdir}/snort/dynamicpreprocessor/

{
install snort-plain %{buildroot}%{_sbindir}/snort-plain
install snort-plain+flexresp %{buildroot}%{_sbindir}/snort-plain+flexresp
install snort-mysql %{buildroot}%{_sbindir}/snort-mysql
install snort-mysql+flexresp %{buildroot}%{_sbindir}/snort-mysql+flexresp
install snort-postgresql %{buildroot}%{_sbindir}/snort-postgresql
install snort-postgresql+flexresp %{buildroot}%{_sbindir}/snort-postgresql+flexresp
install snort-snmp %{buildroot}%{_sbindir}/snort-snmp
install snort-snmp+flexresp %{buildroot}%{_sbindir}/snort-snmp+flexresp
install snort-bloat %{buildroot}%{_sbindir}/snort-bloat

mkdir -p %{buildroot}%{_libdir}/snort/dynamicengine
install libsf_engine.so %{buildroot}%{_libdir}/snort/dynamicengine
install libsf_engine.so.0 %{buildroot}%{_libdir}/snort/dynamicengine
install libsf_engine.so.0.0.0 %{buildroot}%{_libdir}/snort/dynamicengine

for i in 'dcerpc' 'ssh' 'ftptelnet' 'smtp' 'dns' 'ssl'; do
       install snort_dynamicpreprocessor/libsf_${i}_preproc.so %{buildroot}%{_libdir}/snort/dynamicpreprocessor
       install snort_dynamicpreprocessor/libsf_${i}_preproc.so.0 %{buildroot}%{_libdir}/snort/dynamicpreprocessor
       install snort_dynamicpreprocessor/libsf_${i}_preproc.so.0.0.0 %{buildroot}%{_libdir}/snort/dynamicpreprocessor
done

}

install snort.8 %{buildroot}%{_mandir}/man8
install etc/gen-msg.map etc/sid-msg.map etc/threshold.conf etc/unicode.map etc/reference.config etc/classification.config etc/snort.conf %{buildroot}%{_sysconfdir}/snort
install -p -m 755 %{SOURCE1} %{buildroot}/etc/init.d
mkdir -p %{buildroot}/etc/sysconfig/
install -p -m 644 %{SOURCE3} %{buildroot}/etc/sysconfig/snort
mkdir -p %{buildroot}%{_sysconfdir}/snort/rules/
mkdir -p %{buildroot}/%{_var}/lib/snort

perl -pi -e 's!var RULE_PATH ../rules!var RULE_PATH %{_sysconfdir}/snort/rules!'  %{buildroot}%{_sysconfdir}/snort/snort.conf
perl -pi -e 's!dynamicpreprocessor directory /usr/local/lib/snort_dynamicpreprocessor/!dynamicpreprocessor directory %{_libdir}/snort/dynamicpreprocessor/!' %{buildroot}%{_sysconfdir}/snort/snort.conf
perl -pi -e 's!dynamicengine /usr/local/lib/snort_dynamicengine/libsf_engine.so!dynamicengine %{_libdir}/snort/dynamicengine/libsf_engine.so!' %{buildroot}%{_sysconfdir}/snort/snort.conf

%clean
if [ -d %{buildroot} ]; then
         rm -rf %{buildroot}
fi


%pre
getent passwd snortd >/dev/null || \
	/usr/sbin/useradd -M -o -r -d /var/lib/snort -s /sbin/nologin \
	-c "Snort Daemon" -u 62 snortd > /dev/null 2>&1 || :

%post
/sbin/chkconfig --add snortd
/sbin/ldconfig
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-plain 10
fi


%preun
/etc/init.d/snortd stop >/dev/null 2>&1 || :
if [ $1 = 0 ] ; then
   /sbin/chkconfig --del snortd
   %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-plain
fi


%post plain+flexresp
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-plain+flexresp 20
fi

%postun plain+flexresp
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-plain+flexresp 
fi


%post mysql
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-mysql 30
fi

%postun mysql
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-mysql
fi


%post mysql+flexresp
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-mysql+flexresp 40
fi

%postun mysql+flexresp
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-mysql+flexresp
fi


%post postgresql
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-postgresql 50
fi

%postun postgresql
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-postgresql
fi


%post postgresql+flexresp
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-postgresql+flexresp 60
fi

%postun postgresql+flexresp
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-postgresql+flexresp
fi


%post snmp
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-snmp 60
fi

%postun snmp
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-snmp 
fi


%post snmp+flexresp
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-snmp+flexresp 70
fi

%postun snmp+flexresp
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-snmp+flexresp 
fi


%post bloat
if [ $1 -eq 1 ] ; then
  %{_sbindir}/update-alternatives --install %{_sbindir}/snort \
    snort %{_sbindir}/snort-bloat 80
fi

%postun bloat
if [ $1 -eq 0 ] ; then
  %{_sbindir}/update-alternatives --remove snort %{_sbindir}/snort-bloat 
fi


%files
%defattr(-,root,root)
%doc doc/* schemas/create_mysql schemas/create_postgresql 

%attr(755,root,root) %{_sbindir}/snort-plain
# handle compressed man pages.
%attr(644,root,root) %{_mandir}/man8/snort.8*
%attr(755,snortd,snortd) %dir /var/log/snort
%attr(755,root,root) %dir %{_sysconfdir}/snort
%attr(755,root,root) %dir %{_sysconfdir}/snort/rules
%attr(644,root,root) %config %{_sysconfdir}/snort/*.conf
%attr(644,root,root) %config %{_sysconfdir}/snort/*.config
%attr(644,root,root) %config %{_sysconfdir}/snort/*.map
%attr(755,root,root) /etc/init.d/snortd
%{_libdir}/snort
%config(noreplace)%{_sysconfdir}/sysconfig/snort
%attr(0755,snortd,snortd) %dir %{_var}/lib/snort

%files plain+flexresp
%attr(755,root,root) %{_sbindir}/snort-plain+flexresp

%files mysql
%attr(755,root,root) %{_sbindir}/snort-mysql

%files mysql+flexresp
%attr(755,root,root) %{_sbindir}/snort-mysql+flexresp

%files postgresql
%attr(755,root,root) %{_sbindir}/snort-postgresql

%files postgresql+flexresp
%attr(755,root,root) %{_sbindir}/snort-postgresql+flexresp

%files snmp
%attr(755,root,root) %{_sbindir}/snort-snmp

%files snmp+flexresp
%attr(755,root,root) %{_sbindir}/snort-snmp+flexresp

%files bloat
%attr(755,root,root) %{_sbindir}/snort-bloat


%changelog
* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.8.6.1-3m)
- [BUG FIX] fix %%preun

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.8.6.1-2m)
- full rebuild for mo7 release

* Fri Jul 23 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.6.1-1m)
- update to 2.8.6.1

* Tue Apr 27 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.8.6-1m)
- update to 2.8.6

* Fri Apr  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.5.3-2m)
- rebuild against libpcap-1.1.1

* Tue Mar  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.5.3-1m)
- update to 2.8.5.3

* Mon Jan  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.5.2-1m)
- update to 2.8.5.2

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.8.5.1-3m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.5.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  1 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.8.5.1-1m)
- [SECURITY] CVE-2009-3641
- update to 2.8.5.1, which fixes two segfault issues

* Mon Sep 21 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.5-1m)
- [SECURITY] http://pablo-secdev.blogspot.com/2009/09/snort-28-285stable-unified1-output-bug.html
- update to 2.8.5

* Mon Jun 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.4.1-1m)
- update to 2.8.4.1

* Sat May 16 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.8.3.2-3m)
- define __libtoolize

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.3.2-2m)
- rebuild against mysql-5.1.32

* Wed Mar 18 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.3.2-1m)
- update to 2.8.3.2 with --enable-prelude

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.8.2.1-2m)
- rebuild against rpm-4.6

* Mon Jul 28 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.2.1-1m)
- version up 2.8.2.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.1.5-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.6.1.5-5m)
- %%NoSource -> NoSource

* Thu Jun 07 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.1.5-4m)
- rebuild against libpcap-0.9.5 (restrict by version)

* Wed Jun  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6.1.5-3m)
- rebuild against libpcap-0.9.5

* Wed May 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1.5-2m)
- numjobs 1
- revised spec

* Wed May 30 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1.5-1m)
- [SECURITY] CVE-2006-6931 CVE-2006-5276
- update to 2.6.1.5

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.5-2m)
- rebuild against postgresql-8.2.3

* Tue Jun 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.5-1m)
- update to 2.4.5
-- CVE-2006-2769
-- http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2769

* Tue May 17 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.4.4-2m)
- rebuild against mysql 5.0.22-1m

* Mon Mar 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.4-1m)
- update to 2.4.4
- [SECURITY] CVE-2006-0839
- removed rules which are now external to the distro from 2.4.0 release.
- download from http://www.snort.org/pub-bin/downloads.cgi

* Sat Nov 19 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (2.3.3-3m)
- rebuild against postgresql-8.1.0

* Mon Sep  5 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.3.3-2m)
- rebuild against for MySQL-4.1.14

* Mon May 2 2005 Kazuya Iwamoto <iwapi@momonga-linux.org>
- (2.3.3-1m)
- update to 2.3.3
 1. Fixed sfPortscan Open Ports not getting suppressed.
 2. Added new mini-preprocessor to catch the X-Link2State vulnerability.

* Mon Apr 25 2005 Toru Hoshina <t@momonga-linux.org>
- (2.3.2-2m)
- rebuild against postgresql-8.0.2.

* Thu Mar 19 2005 IWAMOTO Kazuya <iwapi@momonga-linux.org>
- (2.3.2-1m)
- update to 2.3.2

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.0-2m)
- enable x86_64.

* Thu Jan 26 2005 IWAMOTO Kazuya <iwapi@momonga-linux.org>
- (2.3.0-1m)
- update to 2.3.0

* Thu Aug 19 2004 IWAMOTO Kazuya <iwapi@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0

* Wed Jun  9 2004 IWAMOTO Kazuya <iwapi@momonga-linux.org>
- (2.1.3-1m)
- update to 2.1.3

* Wed Apr  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.2-1m)
- bugfix release

* Fri Dec 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.0-2m)
- add missing files

* Fri Dec 19 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0
- add BuildRequires: pcre-devel for use prce.h
- add BuildRequires: postgresql-devel

* Tue Dec  9 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.5-1m)

* Fri Nov  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.4-1m)

* Wed Nov  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.3-1m)

* Sat Sep 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-1m)

* Wed Sep 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-3m)
- add BuildRequires: MySQL

* Thu Sep  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.1-2m)
- rebuild against MySQL-4.0.14

* Tue Aug 12 2003 Kikutani Makoto <poo@momonga-linux.org>
- (2.0.1-1m)
- new upstream version
- remove create_postgresql.patch

* Mon Jul 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.0-2m)
- rebuild against glibc-2.3.2

* Thu Apr 17 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (2.0.0-1m)
- security update
  TCP Stream Reassembly Integer Overflow Vulnerability
  (reference: http://www.coresecurity.com/common/showdoc.php?idx=313&idxseccion=10)

* Sat Mar 15 2003 Kikutani Makoto <poo@momonga-linux.org>
- (1.9.1-3m)
- create_postgresql.patch for postgresql-7.3.x

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.9.1-2m)
  rebuild against openssl 0.9.7a

* Tue Mar  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.9.1-1m)
- fixes vulnerability in rpc decoder

* Thu Jan 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.0-2m)
- rebuild against for postgresql

* Sat Oct  5 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.9.0-1m)

* Tue Aug 13 2002 Kikutani <poo@momonga-linux.org>
- (1.8.7-3m)
- added man page

* Mon Jul 22 2002 Kikutani <poo@momonga-linux.org>
- (1.8.7-2m)
- added --with-postgresql --with-mysql for %configure
- added contrib/create* *.pdf for %doc

* Mon Jul 22 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.7-1m)

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.6-1m)
